Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class AccessControlListResolver.Resolution

    java.lang.Object
      oracle.ifs.server.AccessControlListResolver.Resolution

Enclosing class:
  AccessControlListResolver

    protected final class AccessControlListResolver.Resolution

extends java.lang.Object

Field Summary
`protected java.util.concurrent.ConcurrentHashMap` | `m_AccessTable` Resolved access hashed by a key representing the set of resolution entries that qualify.
`protected AccessControlListResolver.AccessControlEntryData[]` | `m_AceDatas` The set of ACE info objects representing the AccessControlEntry objects for this ACL.
`protected java.lang.Long[]` | `m_ComponentAclIds` The set of Component ACL id.
`protected boolean` | `m_HasOnlyConformingGrants` Are all grants effectively conforming? This means that all revokes are followed by a grant of a non-null entry to the same grantee.
`protected boolean` | `m_HasOnlyGrants` Are all ACEs grants? (i.e.
`protected boolean` | `m_IsNonconforming` Is this ACL non-conforming in any way?
`protected AccessControlListResolver.ResolutionGranteeEntry[]` | `m_ResolutionGranteeEntries` Set of Resolution grantee entries.
`protected boolean` | `m_WorldDiscoverAccess` Do all users have discover access?

Constructor Summary
`protected` | `AccessControlListResolver.Resolution()` Constructs a Resolution.

Method Summary
`protected AccessLevel` | `calculateLevelFromRgeSet(S_LibrarySession session, boolean[] rgeIncluded)` Calculates the level from the set of ResolutionAccessKeys.
`protected long` | `getAccessCombinationCount()` Gets the Access Combination Count.
`protected AccessLevel` | `getAccessLevel(S_LibrarySession session, java.lang.Long userid, boolean clone, boolean useAccessCheckMode)` Gets the AccessLevel.
`protected AccessControlListResolver.ResolutionAccessKey` | `getResolutionAccessKey(S_LibrarySession session, java.lang.Long userid)` Gets the ResolutionAccessKey.
`protected void` | `initializeResolutionGranteeEntries(AccessControlListResolver.AccessControlEntryData[] aceDatas)` Initialize the ResolutionGranteeEntries.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_AceDatas

    protected AccessControlListResolver.AccessControlEntryData[] m_AceDatas

  Description copied from class: `AccessControlListResolver.Resolution`
  The set of ACE info objects representing the AccessControlEntry objects for this ACL.

### m_ResolutionGranteeEntries

    protected AccessControlListResolver.ResolutionGranteeEntry[] m_ResolutionGranteeEntries

  Description copied from class: `AccessControlListResolver.Resolution`
  Set of Resolution grantee entries.

### m_AccessTable

    protected java.util.concurrent.ConcurrentHashMap m_AccessTable

  Description copied from class: `AccessControlListResolver.Resolution`
  Resolved access hashed by a key representing the set of resolution entries that qualify.

### m_ComponentAclIds

    protected java.lang.Long[] m_ComponentAclIds

  Description copied from class: `AccessControlListResolver.Resolution`
  The set of Component ACL id.

### m_HasOnlyGrants

    protected boolean m_HasOnlyGrants

  Description copied from class: `AccessControlListResolver.Resolution`
  Are all ACEs grants? (i.e. no revokes).

### m_HasOnlyConformingGrants

    protected boolean m_HasOnlyConformingGrants

  Description copied from class: `AccessControlListResolver.Resolution`
  Are all grants effectively conforming? This means that all revokes are followed by a grant of a non-null entry to the same grantee.

### m_WorldDiscoverAccess

    protected boolean m_WorldDiscoverAccess

  Description copied from class: `AccessControlListResolver.Resolution`
  Do all users have discover access?

### m_IsNonconforming

    protected boolean m_IsNonconforming

  Description copied from class: `AccessControlListResolver.Resolution`
  Is this ACL non-conforming in any way?

Constructor Detail

### AccessControlListResolver.Resolution

    protected AccessControlListResolver.Resolution()

  Constructs a Resolution.

Method Detail

### initializeResolutionGranteeEntries

    protected void initializeResolutionGranteeEntries(AccessControlListResolver.AccessControlEntryData[] aceDatas)

  Description copied from class: `AccessControlListResolver.Resolution`
  Initialize the ResolutionGranteeEntries.

  Parameters:
    `aceDatas` - the session context

### getAccessLevel

    protected AccessLevel getAccessLevel(S_LibrarySession session,
                                         java.lang.Long userid,
                                         boolean clone,
                                         boolean useAccessCheckMode)
                                  throws IfsException

  Description copied from class: `AccessControlListResolver.Resolution`
  Gets the AccessLevel.

  Parameters:
    `session` - the session context
    `userid` - the user ID
    `clone` - whether to clone
    `useAccessCheckMode` - use access check?
  Returns:
    the access level
  Throws:
    `IfsException` - if the operation fails

### getResolutionAccessKey

    protected AccessControlListResolver.ResolutionAccessKey getResolutionAccessKey(S_LibrarySession session,
                                                                                   java.lang.Long userid)
                                                                            throws IfsException

  Description copied from class: `AccessControlListResolver.Resolution`
  Gets the ResolutionAccessKey.

  Parameters:
    `session` - the session context
    `userid` - the user ID
  Returns:
    the ResolutionAccessKey
  Throws:
    `IfsException` - if the operation fails

### calculateLevelFromRgeSet

    protected AccessLevel calculateLevelFromRgeSet(S_LibrarySession session,
                                                   boolean[] rgeIncluded)
                                            throws IfsException

  Description copied from class: `AccessControlListResolver.Resolution`
  Calculates the level from the set of ResolutionAccessKeys.

  Parameters:
    `session` - the session context
    `rgeIncluded` - the RGE included indication
  Returns:
    the AccessLevel
  Throws:
    `IfsException` - if the operation fails

### getAccessCombinationCount

    protected long getAccessCombinationCount()

  Description copied from class: `AccessControlListResolver.Resolution`
  Gets the Access Combination Count.

  Returns:
    the Access Combination Count

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD